#version 330

in vec3 fs_normal;
in vec4 lightDir;

uniform vec4 color;

out vec4 fragColor;

void main()
{
	vec4 col = color;
	float NdotL = max(dot(fs_normal, vec3(0.3,1,0)), 0.0);

    fragColor = col*(NdotL+0.5);
}