#version 430 core

in vec3 position;
in vec3 normal;

out vec3 vPosition;
out vec3 vNormal;

uniform mat3 normalMatrix;
uniform mat4 model;

void main()
{
    vPosition = vec3(model*vec4(position,1));
    vNormal = mat3(model)*normal;
}