#version 330

in vec3 position;
in vec3 normal;
in vec2 texcoord;

uniform mat4 projection;
uniform mat4 view;
uniform mat3 normalMatrix;
uniform mat4 model;

out vec2 fs_texcoord;
out vec3 fs_normal;

void main()
{
	fs_texcoord = texcoord;
	fs_normal = normal;

    gl_Position = projection * view * model * vec4(position,1);
}