#version 330

uniform mat4 projection;

layout(triangles) in;
layout(triangle_strip, max_vertices = 3) out;

out vec3 p; 

void main()
{
    gl_Position = projection * gl_in[0].gl_Position;
    p = vec3(1,0,0);
    EmitVertex();
    
    gl_Position = projection * gl_in[1].gl_Position;
    p = vec3(0,1,0);
    EmitVertex();
    
    gl_Position = projection * gl_in[2].gl_Position;
    p = vec3(0,0,1);
    EmitVertex();

    EndPrimitive();
}